nxt.voting

## Class PollHome

- java.lang.Object
- - nxt.voting.PollHome

-     public final class PollHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PollHome.OptionResult`
    `class` | `PollHome.Poll`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PollHome` | `forChain(ChildChain childChain)`
    `DbIterator<PollHome.Poll>` | `getActivePolls(int from, int to)`
    `DbIterator<PollHome.Poll>` | `getAllPolls(int from, int to)`
    `int` | `getCount()`
    `PollHome.Poll` | `getPoll(long id)`
    `DbIterator<PollHome.Poll>` | `getPollsByAccount(long accountId, boolean includeFinished, boolean finishedOnly, int from, int to)`
    `DbIterator<PollHome.Poll>` | `getPollsFinishingAt(int height)`
    `DbIterator<PollHome.Poll>` | `getPollsFinishingAtOrBefore(int height, int from, int to)`
    `DbIterator<PollHome.Poll>` | `getPollsFinishingBetween(int minHeight, int height, int from, int to)`
    `DbIterator<PollHome.Poll>` | `searchPolls(java.lang.String query, boolean includeFinished, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static PollHome forChain(ChildChain childChain)

    - #### getPoll

          public PollHome.Poll getPoll(long id)

    - #### getPollsFinishingAtOrBefore

          public DbIterator<PollHome.Poll> getPollsFinishingAtOrBefore(int height,
                                                                       int from,
                                                                       int to)

    - #### getPollsFinishingBetween

          public DbIterator<PollHome.Poll> getPollsFinishingBetween(int minHeight,
                                                                    int height,
                                                                    int from,
                                                                    int to)

    - #### getAllPolls

          public DbIterator<PollHome.Poll> getAllPolls(int from,
                                                       int to)

    - #### getActivePolls

          public DbIterator<PollHome.Poll> getActivePolls(int from,
                                                          int to)

    - #### getPollsByAccount

          public DbIterator<PollHome.Poll> getPollsByAccount(long accountId,
                                                             boolean includeFinished,
                                                             boolean finishedOnly,
                                                             int from,
                                                             int to)

    - #### getPollsFinishingAt

          public DbIterator<PollHome.Poll> getPollsFinishingAt(int height)

    - #### searchPolls

          public DbIterator<PollHome.Poll> searchPolls(java.lang.String query,
                                                       boolean includeFinished,
                                                       int from,
                                                       int to)

    - #### getCount

          public int getCount()